﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */
html {
    min-height: 100%;
    position: relative;
}

body {
    color: #151515;
    font: normal 12px/18px 'Open Sans', Helvetica Neue, Helvetica, Arial, sans-serif;
    font-weight: 400;
    font-style: normal;
    background-image: none;
    margin-bottom: 60px;
}

.navbar-brand {
    font-size: inherit !important;
}

a .navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

    a.btn.step-waiting {
        pointer-events: none;
        background-color: #d2d7f4 !important;
        color: black !important;
        opacity: 1;
    }

    a.btn.step-to {
        background-color: #0f1644 !important;
        color: white !important;
    }

.btn-primary {
    color: white;
    background-color: #45508e;
    border-color: #45508e;
}

    .btn-primary:disabled {
        color: white;
        background-color: #45508e;
        border-color: #45508e;
    }

.btn-light {
    background-color: lightgray;
    border-color: lightgray;
}

.btn-primary:hover {
    background-color: #303b82;
    border-color: #303b82;
}

.btn-group-sm > .btn, .btn-sm {
    font-size: inherit !important;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error, select.input-validation-error {
    border: 1px solid #e80c4d;
}

.validation-summary-valid {
    display: none;
}

.validation-summary-errors ul {
    list-style-type: none;
    margin-bottom: 0;
}

.table td, .table th {
    border-top: 0px solid white !important
}

.gray {
    background-color: #F0F0F0;
}

.white {
    background-color: #FFFFFF;
}

/* Form Elements
-------------------------------------------------- */
select {
    padding: 9px 36px 9px 9px;
    margin: 0;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    background: url(../images/selection_background.svg) right no-repeat #ffffff;
    color: #484848;
    outline: none;
    display: inline-block;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
    border: 1px solid #C8C8C8;
    font-weight: 400;
    font-style: normal;
    width: 100%;
}

input[type=text], input[type=number], textarea {
    padding: 9px;
    margin: 0;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    color: #484848;
    outline: none;
    display: inline-block;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: 1px solid #C8C8C8;
    background: #FFFFFF;
    box-shadow: inset 0 3px 6px 0 rgba(0,0,0,0.10);
    border-radius: 3px;
    width: 100%;
}

input:focus {
    border: 2px solid #4D97E0;
}

input[type=password]:focus {
    border: 2px solid #4D97E0;
}

textarea:focus {
    border: 2px solid #4D97E0;
}

select:focus {
    border: 2px solid #4D97E0 !important;
}

input[type=password] {
    padding: 9px;
    margin: 0;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    color: #484848;
    outline: none;
    display: inline-block;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: 1px solid #C8C8C8;
    background: #FFFFFF;
    box-shadow: inset 0 3px 6px 0 rgba(0,0,0,0.10);
    border-radius: 3px;
    width: 100%;
}

.input-smaller {
    width: 150px !important;
}
/* Add biller
----------------------------------------------------*/
.billercls {
    position: relative;
}

    .billercls .ui-autocomplete {
        top: 39px !important;
        width: 100%;
    }

    .billercls .ui-menu .ui-menu-item a {
        font-size: 14px;
        padding: 5px 10px;
    }

/* Spinner styles
--------------------------------------------------- */
.spinner-container {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 50px;
    box-sizing: border-box;
}

    .spinner-container:first-child {
        padding-top: 10px;
    }

    .spinner-container::after {
        position: absolute;
        width: 100px;
        height: 30px;
        left: 0;
        bottom: -30px;
        line-height: 30px;
        text-align: center;
    }

/* Sticky footer styles
-------------------------------------------------- */
.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

/* Main Content*/
.ui-datepicker-trigger {
    background-color: #ffffff;
    border: 0px none #ffffff;
    margin: 0 0 0 3px;
    padding: 0;
    vertical-align: middle;
}

.datepicker {
    transform: translate(0, -16.1em);
}

div.MainContent_Container, div#contentBlockFooter {
    display: block;
    margin: 0 10px 0 10px;
    padding: 10px 0 10px 0;
    width: auto;
}

    div.MainContent_Container, div.MainContent_Container table {
        /* hack for IE not rendering tabs on account listing. */
        position: relative;
        border-top-style: none;
    }

.MainContentBgColor, .MainContentBgColorCfm, h2 {
    background-color: #ffffff;
}

.MainContent {
    margin-bottom: 15px;
    padding: 0px;
    position: relative;
    border-top-style: none;
    padding-top: inherit;
}

.pageTab {
    padding-left: 20px;
    padding-right: 20px;
    width: auto;
    height: 34px !important;
    border: none;
    background-image: none;
    box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
}

.HeaderHelp {
    width: 100%;
    padding-top: 3px;
}

.pageTab, .pageTab span, .pageTab div, .pageTab div a span {
    font-size: 12px;
    font-weight: 600;
    font-style: normal;
    text-align: left;
}

    .pageTab span, .pageTab div, .pageTab a, .pageTab div a span {
        display: inline;
        margin: 0;
        padding: 0;
        text-decoration: none;
    }

.unselectedPageTab {
    border: 1px solid rgba(0,0,0,0.1);
    border-radius: 5px 5px 0 0;
    -moz-border-radius: 5px 5px 0 0;
    -webkit-border-radius: 5px 5px 0 0;
    -moz-border-radius-topright: 5px;
    height: 34px !important;
    padding: 0 20px;
    position: relative;
}

    .unselectedPageTab, .unselectedPageTab span, .unselectedPageTab div, .unselectedPageTab div a span {
        font-size: 12px;
        font-weight: 400;
        font-style: normal;
        text-shadow: #ffffff 0 1px 1px;
    }

        .unselectedPageTab span, .unselectedPageTab div, .unselectedPageTab a, .unselectedPageTab div a span {
            color: #484848;
            display: inline;
            margin: 0;
            padding: 0;
            text-decoration: none;
        }

.HeaderRow {
    border-radius: 2px 2px 0 0;
    -webkit-border-radius: 2px 2px 0 0;
    -moz-border-radius-topright: 2px;
    height: 44px !important;
    padding-right: 20px;
    text-align: left;
    border-bottom: 0px;
}

.HeaderDiv {
    padding-left: 10px;
    vertical-align: top;
    padding-top: 8px;
}

.MainContent, .HeaderRow, .widget-container, .ui-multiselect, .primaryBox, .primaryBoxHeader, .DoubleTabHeaderRow {
    border: 1px solid #e3e3e3;
}

td.pageTab, div.pageTab, .widget-container, .ui-dialog-titlebar, .widget-container, .HeaderRow, .DoubleTabHeaderRow, .modal-header {
    background: #3D4C8F;
}

    .pageTab, .pageTab *, .modal-header td.pageTab, .modal-header div.pageTab, .widget-header, .ui-dialog-titlebar, .modal-header, div.TrainStopTextCell, div.TrainStopTextCell.selected {
        color: #FFFFFF;
    }

#content, #contentNoTopMenu {
    background-color: #ffffff;
    border: 1px solid #C8C8C8;
    border-top-style: none;
}

#content {
    border-radius: 0 0 2px 2px;
    -moz-border-radius: 0 0 2px 2px;
    -webkit-border-radius: 0 0 2px 2px;
    border-top-style: none;
}

/*--------------Widgets----------*/
.ui-dialog-titlebar {
    border-radius: 3px 3px 0 0;
    -moz-border-radius: 3px 3px 0 0;
    -ms-border-radius: 3px 3px 0 0;
    -webkit-border-radius: 3px 3px 0 0;
    font-size: 14px;
    font-weight: 700;
    padding: 0;
    position: relative;
    text-decoration: none;
    font-style: normal;
    font-family: Trebuchet MS,Tahoma,Verdana,Arial,sans-serif;
}

dialog-titlebar-close {
    position: absolute;
    right: 0.3em;
    top: 50%;
    width: 21px;
    margin: -10px 0 0 0;
    padding: 1px;
    height: 20px;
    background-color: #3D4C8F !important;
}

.ui-dialog-titlebar-close {
    border: none !important;
    background-image: url(../images/icon_close.png) !important;
    background-repeat: no-repeat !important;
    border-bottom-right-radius: 4px;
    opacity: 1 !important;
    margin-bottom: -2rem !important;
    margin-top: 0rem !important;
    margin-right: 0rem !important;
}

.ui-corner-all {
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
}

@media only screen and (min-width: 320px) {
    .add-payee{
        width:100%;
    }
    .lbl-text {
        text-align: left !important;
    }
    .sel-pay{
        width: 70%;
    }
    .col-width {
        -ms-flex: 0 0 33.333333%;
        flex: 0 0 33.333333%;
        max-width: 33.333333%;
    }
}

.mx-width{width:100%;}
.header-width{width:75%;}

@media only screen and (min-width: 620px) {
    .lbl-text {
        text-align: right !important;
    }
    .header-width{width:100%;}   
}

@media only screen and (min-width: 1366px) {
    .add-payee {
        width: 90%;
    }

    .mx-width {
        width: 75%;
    }
    #content{
        min-height: 300px;
    }
}
@media only screen and (min-width: 1920px) {
    .add-payee{
        width: 60%;
    }

    .col-width {
        -ms-flex: 0 0 25%;
        flex: 0 0 25%;
        max-width: 25%;
    }

    .sel-pay {
        width: 50%;
    }

    #content {
        min-height: 300px;
    }
}
